agency-board
PATCH /v1/agency/boards/{boardId}/labels/{labelId}
Rename or recolour a label.
Authenticatie
Stuur een API-sleutel mee als bearer token. Dit eindpunt vermeldt geen specifieke toestemming in de specificatie, dus geef uw sleutel de minimale rechten die nodig zijn en controleer het antwoord in plaats van zomaar wat aan te nemen.
Dit eindpunt vereist geen organisatie-id. Uw sleutel identificeert al de organisatie waartoe deze behoort, en het antwoord is hierop afgestemd.
Probeer het
Vervang alles tussen punthaakjes door uw eigen waarden en de sleutelplaatsvervanger door een sleutel uit uw dashboard.
curl -X PATCH https://api.zinndigital.com/v1/agency/boards/{boardId}/labels/{labelId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'Ingelogd? De API-console in je dashboard vult je echte organisatie-id en je eigen sleutel in, en voert het verzoek uit tegen de live API zodat je de daadwerkelijke respons kunt zien. Open dit eindpunt in de API-console
Parameters
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
boardId (path) | Uuid | Ja | Project board ID (UUIDv7). |
labelId (path) | Uuid | Ja | Board label ID (UUIDv7). |
Aanvraaglichaam
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
name | string | Nee | — |
colour | AgencyBoardLabelColour | Nee | ⛔ A palette **token**, never a hex string. The consoles render in the viewer's theme and every colour the design system owns has a dark variant; a hex an agency picked in daylig… |
Reactie
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
id | Uuid | Ja | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | Ja | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | Ja | — |
colour | AgencyBoardLabelColour | Ja | ⛔ A palette **token**, never a hex string. The consoles render in the viewer's theme and every colour the design system owns has a dark variant; a hex an agency picked in daylig… |
position | integer | Ja | — |
Fouten die dit eindpunt kan retourneren
401 · 403 · 404 · 422